Package com.google.android.exoplayer2.audio

## Class AacUtil.Config

- java.lang.Object
- - com.google.android.exoplayer2.audio.AacUtil.Config

- Enclosing class:
    AacUtil

      public static final class AacUtil.Config
      extends Object

  Holds sample format information for AAC audio.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `channelCount` | The number of channels.
    `String` | `codecs` | The RFC 6381 codecs string.
    `int` | `sampleRateHz` | The sample rate in Hertz.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sampleRateHz

          public final int sampleRateHz

      The sample rate in Hertz.

    - #### channelCount

          public final int channelCount

      The number of channels.

    - #### codecs

          public final String codecs

      The RFC 6381 codecs string.